Name:           legendary
Version:        0.20.32
Release:        %mkrel 1
Summary:        Free and open-source Epic Games Launcher alternative
Group:          Games/Other
License:        GPLv3+
URL:            https://github.com/derrod/legendary
Source0:        https://github.com/derrod/legendary/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)

%description
Legendary is an open-source game launcher that can download and install games from the
Epic Games platform on Linux and Windows.

Note: Legendary is currently a CLI (command-line interface) application without a
graphical user interface, it has to be run from a terminal.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}_gl-%{version}-py%{python3_version}.egg-info/


%changelog
* Sun Jan 15 2023 daviddavid <daviddavid> 0.20.32-1.mga9
+ Revision: 1933219
- new version: 0.20.32

* Fri Dec 30 2022 daviddavid <daviddavid> 0.20.31-1.mga9
+ Revision: 1927991
- new version: 0.20.31

* Mon Oct 03 2022 neoclust <neoclust> 0.20.29-1.mga9
+ Revision: 1894496
- New version

* Tue Mar 29 2022 umeabot <umeabot> 0.20.25-2.mga9
+ Revision: 1832168
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 0.20.25-1.mga9
+ Revision: 1779125
- Version 0.20.25

* Fri Jun 04 2021 akien <akien> 0.20.6-2.mga9
+ Revision: 1729621
- Rebuild for Python 3.9

* Mon Dec 28 2020 akien <akien> 0.20.6-1.mga8
+ Revision: 1664383
- imported package legendary

